package com.m2pool.oapi.mapper;

import com.m2pool.common.datasource.annotation.HashRateDB;
import com.m2pool.common.datasource.annotation.InfoDB;
import com.m2pool.oapi.dto.HashRateDto;
import com.m2pool.oapi.dto.HashRateRealDto;
import com.m2pool.oapi.entity.MinerState;
import com.m2pool.oapi.vo.AccountDateVo;
import com.m2pool.oapi.vo.AccountVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @Description TODO
 * @Date 2022/8/30 17:47
 * @Author 杜懿
 */
@InfoDB
public interface AccountMapper {


        @HashRateDB
        public List<HashRateRealDto> getAccountRealHashRateListByCoinAndAccount(@Param("vo")  AccountVo vo);

        public List<HashRateDto> getAccountHashRateHistory24hListByCoinAndAccount(@Param("vo") AccountDateVo vo);

        public List<HashRateDto> getAccountHashRateHistory30mListByCoinAndAccount(@Param("vo") AccountVo vo,@Param("start") String start);

        @HashRateDB
        public List<MinerState> getMinerListByCoinAndAccount(@Param("vo") AccountVo vo);

}
