package com.m2pool.pool.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 曲线图数据结构
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class AccountProfitInfoDto implements Serializable {

    /** 挖矿账户 */
    private String account;

    /** 总收益 */
    private BigDecimal totalProfit;

    /** 总支出 */
    private BigDecimal expend;

    /** 昨日收益 */
    private BigDecimal preProfit;

    /** 今日收益 */
    private BigDecimal todayPorfit;

    /** 余额 */
    private BigDecimal balance;

    private BigDecimal withdrawable;

}
