package com.m2pool.pool.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 当前币种矿池信息
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class PoolInfoDto implements Serializable {

    /** 币种参数名 */
    private String coin;

    /** 页面显示名 */
    private String name;

    /** 算法 */
    private String algorithm;

    /** 全网算力 */
    private String totalPower;

    /** 全网难度 */
    private String totalDifficulty;

    /** 币价 */
    private String price;

    /** 当前高度 */
    private long height;

    /** 矿池算力 */
    private String poolPower;

    /** 矿工数 */
    private String poolMc;

    /** 收费模式 **/
    private String model ="PPLNS";

    /** 费率% 默认为1%**/
    private int fee = 1;

}
