package com.m2pool.pool.vo;

import com.m2pool.common.core.xss.Xss;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Description 只读页面 时间间隔
 * @Date 2024/6/18 14:05
 * @Author 杜懿
 */
@Data
public class ReadOnlyIntervalVo {

    @NotBlank(message = "请先选择币种")
    @Xss()
    public String key;

    public String interval;


}
