package com.m2pool.system.entity;

import lombok.Data;

import java.util.Date;

/**
 * @Description TODO
 * @Date 2024/6/13 11:51
 * @Author dy
 */
@Data
public class SysUserDto {


    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 用户账号 */
    private String userName;

    /** 用户昵称 */
    private String nickName;

    /** 用户邮箱 */
    private String email;

    /** 手机号码 */
    private String phone;

    /** 用户性别 */
    private String sex;

    /** 帐号状态（0正常 1停用） */
    //private String status;

    /** 删除标志（0代表存在 2代表删除） */
    //private String delFlag;

    /** 最后登录IP */
    private String loginIp;

    /** 登录次数 */
    private Long loginCount;

    /** 最后登录时间 */
    private Date loginDate;

    /** 角色对象 */
    private SysRoleDto role;


}
