package com.m2pool.chat.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ChatRoom {
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    private String userOneEmail;
    private String userTwoEmail;
    private LocalDateTime lastUserSendTime;
    private LocalDateTime lastCustomerSendTime;
    private Integer flag;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;
    private Integer serviceReadNum;
    private Integer clientReadNum;
    private Boolean del;
}
