package com.m2pool.pool.entity;


import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 文件
 * @Date 2024/6/14 15:57
 * @Author dy
 */
@Data
public class UserReadOnlyPage implements Serializable {

    private long id;

    /** 邮箱 */
    private String email;

    /** 币种 */
    private String coin;

    /** 挖矿账户 */
    private String account;

    /** 只读页面key */
    private String key;

    /** 页面权限配置 */
    private String config;

    /** 备注 */
    private String remark;

    private String lang;

    /** 创建时间 */
    private Date createTime;

    /** 修改时间 */
    private Date updateTime;

}
