package com.m2pool.pool.vo;

import com.m2pool.common.core.xss.Xss;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Description TODO
 * @Date 2024/6/18 14:05
 * @Author 杜懿
 */
@Data
public class AccountVo {

    @NotBlank(message = "未传入有效挖矿账号名")
    @Xss
    public String account;

    @NotBlank(message = "未传入有效矿池名")
    @Xss
    public String coin;

    public String interval;

    public int limit = 10;

    public int page = 1;
}
