package com.m2pool.pool.vo;

import com.m2pool.common.core.xss.Xss;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Description TODO
 * @Date 2024/6/18 14:05
 * @Author 杜懿
 */
@Data
public class MinerListVo {

    @NotBlank(message = "未传入有效挖矿账号名")
    @Xss
    public String account;

    @NotBlank(message = "未传入有效矿池名")
    @Xss
    public String coin;

    public int type;

    public String filter;

    /** 排序字段  传参范围["30m","24h"]*/
    public String sort;

    /** 排序规则 传参范围["asc","desc"]*/
    public String collation;

    public int limit = 10;

    public int page = 1;
}

